@charset "utf-8";

@media all {
	.annotes {
		display: flex;
		align-items: center;
		width: 100%;
	}
	.annotes-svg-dimgrey img { /* #696969 */
		filter: invert(41%) sepia(1%) saturate(2032%) hue-rotate(316deg) brightness(97%) contrast(84%);
	}

	.annotes-svg-icon {
		display: inline-flex;
		align-self: center;
	}

	.annotes-svg-icon img {
		height: 1.4em;
		width: 1.4em;
		max-width: none;
	}

	.annotes-icon-medium {
		width: var(--icon-size-medium);
		position: relative;
	}

	svg.annotes-icon-medium {
		height: auto;
		aspect-ratio: 1/1;
		vertical-align: middle;
	}

	.annotes-clickable {
		cursor: pointer;
	}

	.annotes-disabled > a {
		pointer-events: none;
		cursor: not-allowed;
	}

	.annotes-clickable-icon {
		cursor: pointer;
		box-sizing: border-box;
		border: 2px solid transparent;
	}

	.annotes-clickable-icon:hover, .annotes-clickable-icon:focus {
		background-color: var(--brand-color-blue-light);
		border: 2px solid var(--brand-color-blue-light);
		border-radius: 4px;
	}

	.annotes-form-group div.annotes-form-show-password {
		width: 100%;
		position: relative;
	}

	.annotes-form-group span.annotes-form-show-password-mark, .annotes-form-group span.annotes-form-hide-password-mark {
		display: inline-flex;
		align-items: center;
		position: absolute;
		top: 0.3em;
		right: var(--horizontal-margin-half);
		color: grey;
		cursor: pointer;
	}

	.annotes-form-group span.annotes-form-show-password-mark.eye-slashed {
		background-image: linear-gradient(45deg, transparent 48%, #2c2c2c 48%, grey 52%, transparent 52%, transparent);
	}

	.annotes-form-group div.annotes-form-show-password:after {
		content: "";
		position: absolute;
		/* transform: rotate(300deg);  */
		color: rgb(187, 182, 182);
		top: 0;
		right: 0;
		z-index: -1;
	}
}